#include <string>
#include <cstring>
#include <ctime>
#include <cmath>
#include "Image.h"

using namespace std;

char ifmt[][30]={
	"FormatInvalidImage",
	"Format1bppIndexed",
	"Format4bppIndexed",
	"Format8bppIndexed",
	"Format24bppRGB",
	"Format32bppARGB"
};

int main( int argc, char *argv[])
{
	Image a;
	printf("%d\n", a.loadBMP( "im2.bmp"));
	// "im2.bmp" file must be in the same folder
	a.convertToGray();
	//for( int y=100; y<200; y++)
	//	for( int x=100; x<200; x++)
	//		a.setPixel( x, y, a.getPixel( x, y));
	//a.convertToRGB();
	//a.convertToMono();
	printf(" %3dx%3d %s\n", a.getWidth(), a.getHeight(), ifmt[a.getPixelFormat()]);
	a.saveBMP( "out.bmp");
	//system("out.bmp");
	return 0;
}

